SDL_GetStringProperty(3)

NAME
SDL_GetStringProperty - Get a string property from a group of properties.

SYNOPSIS
#include <SDL3/SDL_properties.h>

const char * SDL_GetStringProperty(SDL_PropertiesID props, const char *name, const char *default_value);

FUNCTION PARAMETERS

props
    the properties to query.

name
    the name of the property to query.

default_value
    the default value of the property.

RETURN VALUE
Returns the value of the property, or default_value if it is not set or not a string property.

THREAD SAFETY
It is safe to call this function from any thread, although the data returned is not protected and could potentially be freed if you call SDL_SetStringProperty() or SDL_ClearProperty() on these properties from another thread. If you need to avoid this, use SDL_LockProperties() and SDL_UnlockProperties().

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetPropertyType(3), SDL_HasProperty(3), SDL_SetStringProperty(3)